package com.persagy.proxy.adm.service.impl;

import com.persagy.proxy.adm.model.AdmFloor;
import com.persagy.proxy.adm.request.AdmQueryCriteria;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.adm.service.IAdmFloorService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * ADM 楼层 实现类
 * @author lvxy
 * @date 2021/8/16
 */
@Service
public class AdmFloorServiceImpl extends AbstractAdmBaseServiceImpl<AdmFloor> implements IAdmFloorService {
    @Override
    public List<AdmFloor> doUpdateOutLine(InstanceUrlParam context, Class<AdmFloor> clazz, List<AdmFloor> voList) {
        //根据楼层id 更新中台的floor中infos.outline中的信息，outline中的id默认为空或者省略，查询需要单独处理
        //更新outLing信息
        List<AdmFloor> vList = doUpdate(context, clazz, voList);
        //修改关系计算相关信息
       /* List<String> listtype = new ArrayList<String>();
        listtype.add("Sh2Bd");
        listtype.add("Bd2Sp");
        listtype.add("Fl2Sp");
        listtype.add("Sy2Bd");
        listtype.add("Sy2Fl");
        listtype.add("Eq2Fl");
        listtype.add("Pe2Bd");
        listtype.add("Pe2Fl");
        for (String type : listtype){
            JSONObject entity =  EquipmentService.relationTypeProjectservice.select(SFilter.eq("projectId", Opt.projectId!!), SFilter.eq("relationType", type)).entity()
            if (entity!=null){
                entity.computationalState = 2
                EquipmentService.relationTypeProjectservice.update(entity)
            }
        }*/
        return vList;
    }

    @Override
    public AdmResponse doQueryOutLine(InstanceUrlParam context, AdmQueryCriteria request, Class<AdmFloor> clazz) {
        request.setProjection(null);
        List<String> list = new ArrayList<>();
        list.add("id");
        list.add("name");
        list.add("localId");
        list.add("localName");
        list.add("outline");
        list.add("floorSequenceId");
        list.add("modelId");
        list.add("infos");
        list.add("properties");
        request.setProjection(list);
        return doQuery(context, request, clazz);
    }

}